function jpe_print(output)

s = '--------------------------------------------------------------------';

disp(s);
fprintf('Results of the constant jump beta test: P-Value = %3.3f\n',output.pval);
fprintf('                                Refined P-Value = %3.3f\n',output.pval_refine);
disp(s);
fprintf('Vhat = %f, Vhat/Deltan = %f\n', output.Vhat, output.Vhat/output.deltan);
fprintf('Critical values: %f (10%%), %f (5%%), %f (1%%)\n',output.cv90, output.cv95, output.cv99);
fprintf('Refined  CVs   : %f (10%%), %f (5%%), %f (1%%)\n',...
    output.cv90_refine, output.cv95_refine, output.cv99_refine);
fprintf('Bound for the number of factors: rbar = %d\n',output.rbar);
fprintf('Number of simulations: %d\n',output.Nsimul);
fprintf('Mixed scale k = %d\n',output.k);
disp(s);
% slist = {'tau-','tau+','eta-','eta+'};
% disp('-----The estimates of M_C (only showing diagonal) and M_epsilon-----')
% for q = 1:4
%     Mepshat = output.Mepshat;
%     fprintf('M_espilon(%s) = %f\n',slist{q},Mepshat(q));
%     fprintf('M_C(%s,%s) = \n',slist{q},slist{q});
%     MChat = output.MChat;
%     disp(diag(MChat(:,:,q,q))');
% end
% disp(s);
